package cd.casic.ci.commons.bean.engine.execute;

import cd.casic.ci.commons.bean.engine.job.TaskExecMessage;
import cd.casic.ci.commons.bean.engine.postprocess.Postprocess;
import cd.casic.ci.commons.bean.process.definition.Variable;
import cd.casic.ci.commons.bean.process.setting.Scm;
import cd.casic.ci.commons.bean.process.stage.Stage;
import cd.casic.ci.commons.bean.work.agent.model.Agent;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线详情类，包含流水线的详细信息和相关配置
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
public class PipelineDetails {

    // 应用数据保存地址
    private String dataHome;

    // 应用数据保存地址
    private String sourceDir;

    // 日志保存位置
    private String logDir;

    // 应用地址
    private String applyHome;

    // 流水线ID
    private String pipelineId;

    // 实例ID
    private String instanceId;

    // 用户ID
    private String userId;

    // 运行方式
    private Integer runWay;

    //考虑是那个agent 使用
    private Agent agent;

    // 阶段任务
    private List<Stage> stageList;

    // 环境
    private List<Scm> scmList;

    // 变量
    private List<Variable> variableList;

    // 后置处理
    private List<Postprocess> postprocessList;

    private TaskExecMessage taskExecMessage;

}
