package cd.casic.ci.commons.bean.support.count;

import cd.casic.ci.commons.bean.process.definition.Pipeline;
import cd.casic.module.system.api.user.dto.AdminUserRespDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线日成功率统计模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineDayRateCount {

    // 流水线
    private Pipeline pipeline;

    // 总数
    private Integer allNumber;

    // 成功数
    private Integer successNumber;

    // 失败数
    private Integer errorNumber;

    // 成功率
    private String successRate;

    // 用户数
    private AdminUserRespDTO adminUserRespDTO;


    public PipelineDayRateCount(Pipeline pipeline, Integer allNumber) {
        this.pipeline = pipeline;
        this.allNumber = allNumber;
    }

    public PipelineDayRateCount(AdminUserRespDTO adminUserRespDTO, Integer allNumber) {
        this.adminUserRespDTO = adminUserRespDTO;
        this.allNumber = allNumber;
    }
}