package cd.casic.ci.commons.bean.support.count;


import cd.casic.ci.commons.bean.process.definition.Pipeline;
import cd.casic.module.system.api.user.dto.AdminUserRespDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线调查统计模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineSurveyCount {

    /**
     * 流水线
     */
    private Pipeline pipeline;

    // 负责人
    private AdminUserRespDTO adminUserRespDTO;

    // 所有运行数量
    private Integer allInstanceNumber;

    // 成功率
    private String successRate;

    // 成功数
    private String successNumber;

    // 失败率
    private String errorRate;

    // 失败数
    private String errorNumber;

    // 停止率
    private String haltRate;

    // 停止数
    private String haltNumber;

    // 最近运行时间
    private String recentlyRunTime;

    // 运行时长
    private String runTime;

}
