package cd.casic.module.machine.configuration;

import cd.casic.module.infra.framework.file.core.client.s3.S3FileClientConfig;
import cd.casic.module.machine.utils.AliYunOssClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class AliYunOssConfig extends S3FileClientConfig{
    @Value("${aliyun.oss.endpoint}")
    private String endpoint;
    @Value("${aliyun.oss.accessKeyId}")
    private String accessKey;
    @Value("${aliyun.oss.accessKeySecret}")
    private String accessSecret;
    @Value("${aliyun.oss.bucketName}")
    private String bucket;
    // 定义 S3 客户端 Bean
    @Bean
    public AliYunOssClient aliYunClient() {
        // 创建配置对象
        S3FileClientConfig config = new AliYunOssConfig();
        config.setEndpoint(endpoint);
        config.setAccessKey(accessKey);
        config.setAccessSecret(accessSecret);
        config.setBucket(bucket);
        AliYunOssClient aliYunOssClient = new AliYunOssClient(1L, config);
        // 创建并返回客户端实例
        aliYunOssClient.init();
        return aliYunOssClient;
    }
}
