package cd.casic.module.machine.enums;

import cd.casic.framework.commons.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 连接状态枚举
 */
@Getter
@AllArgsConstructor
public enum ConnectionStatus implements IntArrayValuable {
    DISCONNECTED(1, "断开连接"),
    CONNECTING(2, "正在连接"),
    CONNECTED(3, "已连接"),
    AUTH_FAILED(4, "认证失败"),
    CONNECTION_TIMEOUT(5, "连接超时"),
    CONNECTION_ERROR(6, "连接错误"),
    CLOSED(7, "已关闭");

    private final int code;

    private final String message;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ConnectionStatus::getCode).toArray();

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
