package cd.casic.module.process.process.definition.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 流水线实体
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_pipeline", autoResultMap = true)
public class PipelineDo extends BaseDO {

    //流水线id
    @TableId
    private String id;

    //流水线名称
    private String name;

    //流水线类型 1.多任务 2.多阶段
    private int type;

    //运行状态 1.运行中 2.停止中
    private int state;

    //项目作用域 1.全局 2.项目
    private int power;

    private String envId;

    private String groupId;
}
