package cd.casic.module.process.task.codescan.dataobject;


/**
 * @ClassName TaskArtifactXpackServiceImpl
 * @Author hopeli
 * @Date 2025/5/2 19:26
 * @Version 1.0
 */

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author Spotbugs代码扫描
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_task_code_scan_spotbugs", autoResultMap = true)
public class SpotbugsScanEntity extends BaseDO {

    @TableId
    private String id;

    // 流水线id
    private String pipelineId;

    // 扫描时间
    private String scanTime;

    // 总共扫描的类的数量。
    private String totalClasses;

    // 引用的类的数量
    private String referencedClasses;

    // 检测到的问题（Bugs）的数量
    private String totalBugs;

    // 项目中的包（package）数量
    private String numPackages;

    // 优先级为 1 的问题数
    private String priorityOne;

    // 优先级为 2 的问题数
    private String priorityTwo;

    // 优先级为 3 的问题数
    private String priorityThree;

    private String xmlPath;
}
